#
# spec file for package perl-Net-Daemon (Version 0.38)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Net-Daemon
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
License:        GPL
Group:          Development/Libraries/Perl
Summary:        Net::Daemon - Perl extension for portable daemons
Version:        0.38
Release:        61.2
Source:         Net-Daemon-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl = %{perl_version}
Autoreqprov:    on

%description
Net::Daemon is an abstract base class for implementing portable server
applications in a very simple way.



Authors:
--------
    Jochen Wiedmann  <joe@ispsoft.de>

%debug_package
%prep
%setup -q -n Net-Daemon-%{version}
#%patch

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Net
%{perl_vendorarch}/auto/Net
/var/adm/perl-modules/%{name}

%changelog -n perl-Net-Daemon
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 18 2004 - nashif@suse.de
- Update to version 0.38
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 - nashif@suse.de
- use DESTDIR
- fixed file list
* Tue Jul 01 2003 - ro@suse.de
- use perl_process_packlist macro
* Fri Jun 13 2003 - nashif@suse.de
- Fixed file list
* Mon May 12 2003 - nashif@suse.de
- Update to version 0.37
- Fix default file permissions
* Tue Dec 11 2001 - nashif@suse.de
- Update to version 0.36
* Thu Mar 08 2001 - nashif@suse.de
- Fixed %%files in spec
* Fri Feb 23 2001 - nashif@suse.de
- Update to version 0.34
* Mon Nov 27 2000 - nashif@suse.de
- Initial Release (version 0.32)
